GNAT-GPS(1)

NAME
gnat-gps - an integrated development environment for various languages

SYNOPSIS
gnat-gps [options] [-Pproject-file] [[+line] source1 ...]

DESCRIPTION
GPS is a complete integrated development environment. It integrates with a wide range of tools, providing easy access to each. It integrates especially well with AdaCore's tools but can easily be extended to work with other tools by writing small plug-ins in Python.

--help
    Show this help message and exit

--version
    Show the GPS version and exit

--debug[=program]
    Start a debug session and optionally load the program with the given arguments

--debugger debugger
    Specify the debugger's command line

--hide
    Hide GPS main window

--host=tools_host
    Use tools_host to launch tools (e.g. gdb)

--target=TARG:PRO
    Load program on machine TARG using protocol PRO

--load=lang:file
    Execute an external file written in the language lang

--eval=lang:script
    Execute an in-line script written in the language lang

-XVAR=VALUE
    Specify a value for an external project variable

--readonly
    Open all files in read-only mode

--server=port
    Start GPS in server mode, opening a socket on the given port

--tracelist
    Output the current configuration for logs

--traceon=name
    Activate the logs for a given module

--traceoff=name
    Deactivate the logs for a given module

--tracefile=file
    Parse an alternate configuration file for the logs

SEE ALSO
gnat (1), gprbuild (1), and various user guides in the /usr/share/doc/gnat-gps directory if the gnat-gps-doc Debian package is installed on your system.

AUTHOR
The GNAT Programming Studio has been written and is maintained by Ada Core Technologies. If you are interested in getting commercial support for this software, please contact sales@gnat.com. This manual page has been written by Ludovic Brenta <ludovic@ludovic-brenta.org> and Nicolas Boulenguez <nicolas@debian.org> for Debian GNU/Linux.